SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUEntityListRef Struct Reference

References an entity list. More...

`#include <SketchUpAPI/model/entity_list.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUEntityListCreate (SUEntityListRef *list)
| Creates an entity list object. More...
enum SUResult | SUEntityListRelease (SUEntityListRef *list)
| Releases a list object. More...
enum SUResult | SUEntityListBegin (SUEntityListRef list, SUEntityListIteratorRef *iterator)
| Sets the iterator reference to the beginning of the list. The given iterator object must have been constructed using SUEntityListIteratorCreate(). The iterator must be released using SUEntityListIteratorRelease() when it is no longer needed. More...
enum SUResult | SUEntityListSize (SUEntityListRef list, size_t *count)
| Gets the number of entities in the list. More...

## Detailed Description

References an entity list.

Since
  SketchUp 2018, API 6.0

## Friends And Related Function Documentation

enum SUResult SUEntityListBegin | ( | SUEntityListRef | list,
|  | SUEntityListIteratorRef * | iterator
| ) |  |
| related

Sets the iterator reference to the beginning of the list. The given iterator object must have been constructed using SUEntityListIteratorCreate(). The iterator must be released using SUEntityListIteratorRelease() when it is no longer needed.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | list | The list.
  [out] | iterator | An iterator Ref reference the beginning of the list.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if list is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if iterator is NULL
  - SU_ERROR_INVALID_OUTPUT if *iterator is not a valid object

enum SUResult SUEntityListCreate | ( | SUEntityListRef * | list | ) |
| related

Creates an entity list object.

Since
  SketchUp 2018, API 6.0

Parameters

  [in,out] | list | The entity list object to be created.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_OUTPUT if list is NULL
  - SU_ERROR_OVERWRITE_VALID if list already references a valid object

enum SUResult SUEntityListRelease | ( | SUEntityListRef * | list | ) |
| related

Releases a list object.

Since
  SketchUp 2018, API 6.0

Parameters

  [in,out] | list | The list object to be released.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if list is NULL
  - SU_ERROR_INVALID_INPUT if list does not reference a valid object

enum SUResult SUEntityListSize | ( | SUEntityListRef | list,
|  | size_t * | count
| ) |  |
| related

Gets the number of entities in the list.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | list | The list object.
  [out] | count | The list size.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if list is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/entity_list.h